## stretch stretch |

## Properties

gdouble | intensity | Read / Write

## Types and Values

struct | GstStretch

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstCircleGeometricTransform
                                    ╰── GstStretch

## Description

The stretch element stretches the image in a circle around the center point.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! stretch ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | geometrictransform
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstStretch

    struct GstStretch;

## Property Details

### The `“intensity”` property

      “intensity”                gdouble

Intensity of the stretch effect.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

## See Also

geometrictransform